import request from '@/utils/request'


// 查询 Quartz定时任务 列表
export function queryQuartz(query) {
  return request({
    url: '/system/quartz/query',
    method: 'get',
    // 这边 get请求使用params，post请求使用data，暂不清楚为啥，有空看下
    params: query
  })
}

// 查询 Quartz定时任务 详情
export function getQuartz(jobClassName) {
  return request({
    url: '/system/quartz/findByJobClassName/' + jobClassName,
    method: 'get'
  })
}

// 新增 Quartz定时任务
export function insert(data) {
  return request({
    url: '/system/quartz/insert',
    method: 'post',
    data: data
  })
}

// 修改 Quartz定时任务
export function update(data) {
  return request({
    url: '/system/quartz/update',
    method: 'put',
    data: data
  })
}

// 删除 Quartz定时任务
export function delQuartz(jobClassName) {
  return request({
    url: '/system/quartz/delete/' + jobClassName,
    method: 'delete'
  })
}

// 立即执行一次 Quartz定时任务
export function startOnce(data) {
  return request({
    url: '/system/quartz/startOnce',
    method: 'put',
    data: data
  })
}

// 停止 Quartz定时任务
export function pauseJob(data) {
  return request({
    url: '/system/quartz/pauseJob',
    method: 'put',
    data: data
  })
}

// 恢复 Quartz定时任务
export function resumeJob(data) {
  return request({
    url: '/system/quartz/resumeJob',
    method: 'put',
    data: data
  })
}


